display: unicode.dis
table:
  locale: ur
  type: literary
  contraction: full
  __assert-match: ur-pk-g2.ctb

flags: {testmode: forward}
tests:
  - ["0", "⠼⠚"]
  - ["1", "⠼⠁"]
  - ["2", "⠼⠃"]
  - ["3", "⠼⠉"]
  - ["4", "⠼⠙"]
  - ["5", "⠼⠑"]
  - ["6", "⠼⠋"]
  - ["7", "⠼⠛"]
  - ["8", "⠼⠓"]
  - ["9", "⠼⠊"]

  - ["٠", "⠼⠚"]
  - ["١", "⠼⠁"]
  - ["٢", "⠼⠃"]
  - ["٣", "⠼⠉"]
  - ["٤", "⠼⠙"]
  - ["٥", "⠼⠑"]
  - ["٦", "⠼⠋"]
  - ["٧", "⠼⠛"]
  - ["٨", "⠼⠓"]
  - ["٩", "⠼⠊"]

  - [زمِین و آسمان,⠵⠍⠑⠊⠝⠤⠜⠎⠍⠔]
  - [آسمان,⠜⠎⠍⠔]

  - [گئی۔,⠛⠄⠊⠲]
  - [ہُوئی,⠌⠊]
  - [ہُوئی۔,⠌⠊⠲]
  - [ہُوئے,⠌⠌]
  - [ہُوئے۔,⠌⠌⠲]
  - [ہُوئِیں,⠌⠑⠊⠰]
  - [ہُوئِیں۔,⠌⠑⠊⠰⠲]
  - [جائے۔,⠚⠈⠌⠲]

flags: {testmode: bothDirections}
tests:
  - ["۰", "⠼⠚"]
  - ["۱", "⠼⠁"]
  - ["۲", "⠼⠃"]
  - ["۳", "⠼⠉"]
  - ["۴", "⠼⠙"]
  - ["۵", "⠼⠑"]
  - ["۶", "⠼⠋"]
  - ["۷", "⠼⠛"]
  - ["۸", "⠼⠓"]
  - ["۹", "⠼⠊"]

  - [خُدا,⠭⠥⠙⠁]
  - [نے,⠼]
  - [اِبتدا,⠁⠑⠃⠞⠙⠁]
  - [میں,⠍]
  - [زمِین و آسمان,⠵⠍⠑⠊⠝⠤⠜⠎⠍⠔]
  - [کو,⠻]
  - [پَیدا,⠏⠂⠊⠙⠁]
  - [کِیا۔,⠅⠑⠽⠲]
  - [اور,⠥]
  - [زمِین,⠵⠍⠑⠊⠝]
  - [وِیران,⠺⠑⠊⠗⠔]
  - [سُنسان,⠎⠥⠝⠎⠔]
  - [تھی,⠳⠊]
  - [گہراؤ,⠛⠓⠗⠈⠺]
  - [کے,⠅⠌]
  - [اُوپر,⠘⠥]
  - [اندھیرا,⠔⠙⠦⠊⠗⠁]
  - [تھا,⠳⠁]
  - [رُوح,⠗⠥⠺⠱]
  - [پانی,⠏⠔⠊]
  - [سطح,⠎⠾⠱]
  - [پر,⠏]
  - [جُنبِش,⠚⠥⠝⠃⠑⠩]
  - [کرتی,⠅⠗⠞⠊]
  - [تھی۔,⠳⠊⠲]
  - [کہا،,⠅⠓⠁⠂]
  - [کہ,⠅]
  - [رَوشنی,⠗⠂⠺⠩⠝⠊]
  - [ہو,⠌]
  - [جا,⠚⠁]
  - [ہو,⠌]
  - [ہو۔,⠌⠲]
  - [گئی۔,⠛⠄⠊⠲]
  - [ہُوئی,⠌⠊]
  - [ہُوئی۔,⠌⠊⠲]
  - [ہُؤا,⠌⠁]
  - [ہُؤا۔,⠌⠁⠲]
  - [ہُوئے,⠌⠌]
  - [ہُوئے۔,⠌⠌⠲]
  - [ہُوئِیں,⠌⠑⠊⠰]
  - [ہُوئِیں۔,⠌⠑⠊⠰⠲]
  - [جا,⠚⠁]
  - [دیکھا,⠙⠊⠨⠁]
  - [اچھّی,⠁⠠⠡⠊]
  - [ہے,⠓]
  - [تارِیکی,⠲⠗⠑⠊⠅⠊]
  - [سے,⠎]
  - [جُدا,⠚⠥⠙⠁]
  - [تو,⠞]
  - [دِن,⠙⠑⠝]
  - [رات,⠗⠁⠞]
  - [شام,⠩⠁⠍]
  - [صُبح,⠯⠥⠃⠱]
  - [سو,⠎⠺]
  - [پہلا,⠸⠏⠁]
  - [پانیوں,⠏⠔⠐⠌]
  - [درمیان,⠙⠗⠍⠽⠝]
  - [فضا,⠋⠫⠁]
  - [تاکہ,⠠⠞]
  - [جائے۔,⠚⠈⠌⠲]
  - [پس,⠏⠎]
  - [بنایا,⠃⠢⠽]
  - [نِیچے,⠝⠑⠊⠉⠌]
  - [آسمان,⠜⠎⠍⠔]
  - [دُوسرا,⠙⠥⠺⠎⠗⠁]
  - [پَیدایش,⠏⠂⠊⠙⠁⠊⠩]
  - [جگہ,⠚⠛⠓]
  - [جمع,⠚⠍⠷]
  - [خُشکی,⠭⠥⠩⠅⠊]
  - [نظر,⠐⠝]
  - [اِسرائیلیوں,⠁⠑⠎⠗⠈⠊⠇⠐⠌]
  - [آئے,⠜⠄⠌]
  - [ہُوئیں,⠌⠊⠰]
  - [گئے,⠛⠄⠌]
